summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
Diffstat (limited to 'tools')
-rwxr-xr-xtools/meson-check-help.sh14
-rwxr-xr-xtools/meson-git-contrib.sh8
-rwxr-xr-xtools/meson-make-symlink.sh4
3 files changed, 13 insertions, 13 deletions
diff --git a/tools/meson-check-help.sh b/tools/meson-check-help.sh
index 7102866a5c..47a5099a04 100755
--- a/tools/meson-check-help.sh
+++ b/tools/meson-check-help.sh
@@ -2,19 +2,19 @@
# output width
if "$1" --help | grep -v 'default:' | grep -E -q '.{80}.'; then
- echo "$(basename "$1") --help output is too wide:"
- "$1" --help | awk 'length > 80' | grep -E --color=yes '.{80}'
- exit 1
+ echo "$(basename "$1") --help output is too wide:"
+ "$1" --help | awk 'length > 80' | grep -E --color=yes '.{80}'
+ exit 1
fi
# no --help output to stdout
if "$1" --help 2>&1 1>/dev/null | grep .; then
- echo "$(basename "$1") --help prints to stderr"
- exit 2
+ echo "$(basename "$1") --help prints to stderr"
+ exit 2
fi
# error output to stderr
if ! "$1" --no-such-parameter 2>&1 1>/dev/null | grep -q .; then
- echo "$(basename "$1") with an unknown parameter does not print to stderr"
- exit 3
+ echo "$(basename "$1") with an unknown parameter does not print to stderr"
+ exit 3
fi
diff --git a/tools/meson-git-contrib.sh b/tools/meson-git-contrib.sh
index ac031638e0..1c614ef511 100755
--- a/tools/meson-git-contrib.sh
+++ b/tools/meson-git-contrib.sh
@@ -1,7 +1,7 @@
#!/bin/sh -eu
git shortlog -s `git describe --abbrev=0`.. | \
- cut -c8- | \
- sed 's/ / /g' | \
- awk '{ print $$0 "," }' | \
- sort -u
+ cut -c8- | \
+ sed 's/ / /g' | \
+ awk '{ print $$0 "," }' | \
+ sort -u
diff --git a/tools/meson-make-symlink.sh b/tools/meson-make-symlink.sh
index 360ff92ebb..47a5e70ae5 100755
--- a/tools/meson-make-symlink.sh
+++ b/tools/meson-make-symlink.sh
@@ -5,7 +5,7 @@
mkdir -vp "$(dirname "${DESTDIR:-}$2")"
if [ "$(dirname $1)" = . ]; then
- ln -vfs -T "$1" "${DESTDIR:-}$2"
+ ln -vfs -T "$1" "${DESTDIR:-}$2"
else
- ln -vfs -T --relative "${DESTDIR:-}$1" "${DESTDIR:-}$2"
+ ln -vfs -T --relative "${DESTDIR:-}$1" "${DESTDIR:-}$2"
fi